%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		hidapi
Version:	0.13.1
Release:	%mkrel 1
Summary:	Library for communicating with USB and Bluetooth HID devices

Group:		Communications/Radio
License:	GPLv3
# Originally from https://github.com/signal11/hidapi
URL:		https://github.com/libusb/hidapi
Source0:	https://github.com/libusb/hidapi/archive/%{name}-%{version}.tar.gz
#Patch0:		hidapi-0.9.0-mga-configure.ac.patch
#Patch1:		hidapi-0.10.0-mga-configure.ac_autoconf-2.69+.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	m4
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(libusb)

%description
HIDAPI is a multi-platform library which allows an application to interface
with USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD and Mac OS
X.  On Linux, either the hidraw or the libusb back-end can be used. There are
trade-offs and the functionality supported is slightly different.

%package -n %{libname}
Summary:	Library files for hidapi
Group:		System/Libraries

%description -n %{libname}
This package contains library files for hidapi which provides access to
USB and Bluetooth HID-class devices.

%package -n %{devname}
Summary:	Development files for hidapi
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for hidapi which provides access to
USB and Bluetooth HID-class devices.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
autoreconf --install --verbose --force
%configure --disable-testgui --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

%files -n %{libname}
%doc AUTHORS.txt README.md
%license LICENSE*.txt
%{_libdir}/libhidapi-*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/hidapi
%{_libdir}/libhidapi-hidraw.so
%{_libdir}/libhidapi-libusb.so
%{_libdir}/pkgconfig/hidapi-hidraw.pc
%{_libdir}/pkgconfig/hidapi-libusb.pc


%changelog
* Mon Feb 20 2023 barjac <barjac> 0.13.1-1.mga9
+ Revision: 1944375
- new version 0.13.1

* Mon Aug 08 2022 barjac <barjac> 0.12.0-1.mga9
+ Revision: 1876291
- new version 0.12.0

* Fri Mar 25 2022 umeabot <umeabot> 0.11.2-2.mga9
+ Revision: 1827080
- Mageia 9 Mass Rebuild

* Thu Jan 20 2022 barjac <barjac> 0.11.2-1.mga9
+ Revision: 1769318
-new version 0.11.2
- remove obsolete patches

* Wed Nov 25 2020 barjac <barjac> 0.10.1-1.mga8
+ Revision: 1649348
- new version 0.10.1

* Sat Oct 31 2020 barjac <barjac> 0.10.0-1.mga8
+ Revision: 1641022
- new version 0.10.0
- patch to fix build with autoconf > 2.69

* Tue Aug 18 2020 barjac <barjac> 0.9.0-3.mga8
+ Revision: 1615428
- fix build:
- patched configure.ac and used bootstrap script

* Sat Feb 15 2020 umeabot <umeabot> 0.9.0-2.mga8
+ Revision: 1527661
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jul 20 2019 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1423140
- new version: 0.9.0
- new URL and Source URL

* Sun Sep 23 2018 umeabot <umeabot> 0.8.0-0.rc1.4.mga7
+ Revision: 1298195
- Mageia 7 Mass Rebuild

* Thu Sep 14 2017 cjw <cjw> 0.8.0-0.rc1.3.mga7
+ Revision: 1153788
- patch0: add -pthread to link flags where needed

* Thu Jan 28 2016 barjac <barjac> 0.8.0-0.rc1.2.mga6
+ Revision: 928293
- rebuild for new autotools
+ neoclust <neoclust>
- Use %%configure2_5x if not autotools fails

* Wed Sep 09 2015 barjac <barjac> 0.8.0-0.rc1.1.mga6
+ Revision: 875299
- new version 0.8.0-rc1

* Fri Jan 16 2015 barjac <barjac> 0.7.0-0.a88c724.2.mga5
+ Revision: 810979
- remove incorrect require

* Fri Jan 16 2015 barjac <barjac> 0.7.0-0.a88c724.1.mga5
+ Revision: 810935
- add groups
- adapt for mageia
- Import package from Fedora with thanks


* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4.a88c724
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3.a88c724
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 29 2013 Scott Talbert <swt@techie.net> - 0.7.0-2.a88c724
- Incorporate review comments

* Wed Oct 23 2013 Scott Talbert <swt@techie.net> - 0.7.0-1.a88c724
- Initial packaging of hidapi library
